// receive new score
$player_name = strip_tags( trim($_POST["player_name"]));
$player_points = strip_tags( trim($_POST["player_points"]));
$player_level = strip_tags( trim($_POST["player_level"]));
$player_playtime = strip_tags( trim($_POST["player_playtime"]));
$date = strip_tags( trim($_POST["date"]));

// save score to the highscores file
$file = fopen("jorma2_highscores.dat", "a");
fwrite($file, $player_name + "\n");
fwrite($file, $player_points + "\n");
fwrite($file, $player_level + "\n");
fwrite($file, $player_playtime + "\n");
fwrite($file, $date + "\n");
fclose($file);

// load all scores from the highscores file
$names = array();
$points = array();
$levels = array();
$playtimes = array();
$dates = array();

$file = fopen("jorma2_highscores.dat", "r");
while (!feof($file)) {
    array_push($names, fgets($file));
    array_push($points, fgets($file));
    array_push($levels, fgets($file));
    array_push($playtimes, fgets($file));
    array_push($dates, fgets($file));
}
fclose($file);


// get top 10 scores
$top = array();
$length = count($points);
for ($i = 0; $i < 10; $i++) {
    $best = 0;
    for ($j = 0; $j < $length; $j++) {
        if ($points[$j] > $points[$best]) {
            $best = $j;
        }
    }
    array_push($top, $best);
}

// send top 10 as response
$length = count($top);
for ($i = 0; $i < $length; i++) {
    echo $names[$top[$i]] + " " + $points[$top[$i]] + " " + $levels[$top[$i]] + " " + $playtimes[$top[$i]] + " " + $dates[$top[$i]];
}