package controllers;

import java.awt.event.KeyEvent;

import models.HelpModel;
import ui.Jorma;

public class HelpController extends Controller {

    public HelpController(HelpModel model) {
	super(model);
    }

    public void keyPressed(KeyEvent e) {
	HelpModel m = (HelpModel) model;
	switch (e.getKeyCode()) {
	case KeyEvent.VK_ESCAPE:
	    m.getWindow().getJorma().setCurrentModel(Jorma.MODEL_GAME);
	    break;
	case KeyEvent.VK_UP:
	    m.previousPage();
	    break;
	case KeyEvent.VK_DOWN:
	    m.nextPage();
	    break;
	}
    }
}
