package events;

public abstract class Event {
    
    public static final int EMPTY = 0;
    public static final int MOVE = 1;
    public static final int ATTACK = 2;
    public static final int DEFENCE = 3;
    public static final int TALK = 4;
    public static final int FAILED_ACTION = 5;
    public static final int PICK_UP = 6;
    public static final int DROP = 7;
    public static final int USE = 8;
    public static final int WIELD = 9;
    public static final int DEATH = 10;
    public static final int START_RIDING = 11;
    public static final int STOP_RIDING = 12;
    public static final int CHANGE_MOVING_STYLE = 13;
    public static final int MESSAGE = 14;
    public static final int OTHER_EVENT = 15;
    
    protected int type;
    protected double speed;
    protected String message;
    
    public int getType() {
	return type;
    }
    
    public boolean isType(int type) {
	return this.type == type;
    }
    
    public double getSpeed() {
	return speed;
    }
    
    public String getMessage() {
	return message;
    }
}
