package events;

import maps.Cell;

public class MoveEvent extends Event {
    
    private Cell oldCell;
    private Cell newCell;
    
    public MoveEvent(double speed, int type, Cell oldCell, Cell newCell) {
	this.speed = speed;
	this.message = null;
	this.type = type;
	this.oldCell = oldCell;
	this.newCell = newCell;
    }
    
    public Cell getOldCell() {
	return oldCell;
    }
    
    public Cell getNewCell() {
	return newCell;
    }

}
