package models;

import ui.Window;
import views.View;
import controllers.Controller;

public abstract class Model {

    protected Window window;
    protected View view;
    protected Controller controller;

    protected Model(Window window) {
	this.window = window;
    }
    
    public View getView() {
	return view;
    }
    
    public Controller getController() {
	return controller;
    }

    public Window getWindow() {
	return window;
    }
}
